# Embedded LibreOffice Focus Bug

This example showcases a bug that we encountered when embedding LibreOffice 5 in a Eclipse SWT application using the [noa-libre library](https://github.com/LibreOffice/noa-libre).

## Environment

* Windows 10 (probably with older versions as well)
* LibreOffice 5 (works with LibreOffice 3.x)
* Eclipse SWT Mars or Neon (probably Oxygen as well)

## Bug Description

If the first (focusing) actions after creating a LibreOffice embedding window and opening a document are

* selecting some text with the mouse
* pressing Ctrl-C

the selected text is sometimes not put into the clip board. This becomes evident when one focuses another window and pastes the contents of the clip board (with Ctrl-V).

The bug occurs not always but very frequently. A *Reset* labeled button is provided, that quickly creates a fresh LibreOffice embedding window and opens a document.

## How to Run the Example

* Import this project in a 32-Bit Eclipse for RCP Developers workspace.
* Configure the correct paths for your LibreOffice 5 installation and workspace location in `com.godyo.libreoffice.application.Configuration`.
* Run `com.godyo.libreoffice.application.Application` as Java Application.

This was tested with Eclipse Mars and Eclipse Neon.