package com.godyo.libreoffice.application;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.net.URL;
import java.nio.charset.Charset;
import java.nio.file.Files;

public class TextFragment {

	private final String text;

	public TextFragment(final String text) {
		this.text = text;
	}

	public URL getUrl() {
		try {
			final File target = Files.createTempFile(Long.toString(System.currentTimeMillis()), "rtf").toFile();
			writeStringToFile(target, text);
			return target.toURI().toURL();
		} catch (final IOException e) {
			throw new RuntimeException(e);
		}
	}

	private static void writeStringToFile(final File file, final String data) throws IOException {
		try (OutputStream out = new FileOutputStream(file, false)) {
			out.write(data.getBytes(Charset.defaultCharset()));
		}
	}

}
