package com.godyo.libreoffice.unointerface;

import com.sun.star.beans.PropertyValue;
import com.sun.star.frame.FrameSearchFlag;
import com.sun.star.frame.XComponentLoader;
import com.sun.star.frame.XFrame;
import com.sun.star.lang.XComponent;
import com.sun.star.text.XTextDocument;
import com.sun.star.uno.UnoRuntime;

public class Frame {

	private XFrame xFrame = null;

	public Frame(final XFrame xFrame) {
		this.xFrame = xFrame;
	}

	public void setFocus() {
		xFrame.getContainerWindow().setFocus();
		xFrame.activate();
	}

	public Document loadDocument(final String url) {
		try {
			final XComponentLoader xComponentLoader = UnoRuntime.queryInterface(XComponentLoader.class, xFrame);
			final XComponent xComponent = xComponentLoader.loadComponentFromURL(url, xFrame.getName(), FrameSearchFlag.ALL,
					new PropertyValue[0]);
			final XTextDocument xTextDocument = UnoRuntime.queryInterface(XTextDocument.class, xComponent);
			return new Document(xTextDocument);
		} catch (final Exception exception) {
			throw new RuntimeException(exception);
		}
	}

}